/********************************************************************************/
/*										*/
/*		bounce_ball.H							*/
/*										*/
/*	Bouncing Balls Demo ball header file					*/
/*										*/
/********************************************************************************/


#ifndef BOUNCE_BALL_ALREADY_INCLUDED
#define BOUNCE_BALL_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*										*/
/*	BounceBallInfo -- single bouncing ball					*/
/*										*/
/********************************************************************************/


class BounceBallInfo {

private:
   Coord x_vel;
   Coord y_vel;
   Coord x_pos;
   Coord y_pos;
   Coord _radius;
   BounceShape draw_shape;
   BounceType bounce_type;
   BounceColor color_set;
   BounceLine line_style;

   BounceColor cur_color;
   Bool is_drawn;

public:
   BounceBallInfo(Coord maxv);
   ~BounceBallInfo();

   BounceBall clone(Coord maxv);
   void copyProps(BounceBall);

   void outputProps(ostream&);
   Bool inputProps(istream&);

   void undraw(BounceDrawContext);
   void draw(BounceDrawContext);
   void update(Integer maxx,Integer maxy,Coord maxvel);

   void markUndraw()					{ is_drawn = false; }

public:
   void setRadius(Coord v)				{ _radius = v; }
   Coord getRadius() const				{ return _radius; }

   void setShape(BounceShape v) 			{ draw_shape = v; }
   BounceShape getShape() const 			{ return draw_shape; }

   void setBounce(BounceType v) 			{ bounce_type = v; }
   BounceType getBounce() const 			{ return bounce_type; }

   void setColors(BounceColor v)			{ color_set = v; }
   BounceColor getColors() const			{ return color_set; }

   void setLineStyle(BounceLine v)			{ line_style = v; }
   BounceLine getLineStyle() const			{ return line_style; }

private:
   Coord newVelocity(Coord old,Coord dir,Coord maxv) const;
   void changeColor();
};



#endif


/* end of bounce_ball.H */

