/********************************************************************************/
/*										*/
/*		bounce_context.H						*/
/*										*/
/*	Bouncing Balls Demo drawing context header file 			*/
/*										*/
/********************************************************************************/


#ifndef BOUNCE_CONTEXT_ALREADY_INCLUDED
#define BOUNCE_CONTEXT_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*										*/
/*	BounceDrawContextInfo -- context for drawing				*/
/*										*/
/********************************************************************************/


class BounceDrawContextInfo {

private:
   CDC * device_context;
   CPen * cur_pen;
   CBrush * pen_brush;
   CBrush * color_table[BOUNCE_NUM_COLOR];

   BounceLine line_style;
   BounceColor cur_color;
   BounceShape cur_shape;

public:
   BounceDrawContextInfo();
   ~BounceDrawContextInfo();

   void setCDC(BounceView);

   void clear();

   void setLineStyle(BounceLine);
   void setColor(BounceColor);
   void setShape(BounceShape);

   void draw(Integer x,Integer y,Integer r);

private:
   void setupColors();

   void drawCircle(Integer,Integer,Integer,Integer);
   void drawDiamond(Integer,Integer,Integer,Integer);
   void drawSquare(Integer,Integer,Integer,Integer);
};



#endif


/* end of bounce_context.H */
