/********************************************************************************/
/*										*/
/*		bounce_manager.H						*/
/*										*/
/*	Bouncing Balls Demo data manager header file				*/
/*										*/
/********************************************************************************/


#ifndef BOUNCE_MANAGER_ALREADY_INCLUDED
#define BOUNCE_MANAGER_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*										*/
/*	BounceManagerInfo -- bouncing balls manager				*/
/*										*/
/********************************************************************************/


class BounceManagerInfo : public CDocument {

private:
   Integer num_balls;
   BounceBall ball_proto;
   Coord max_velocity;

   Bool do_clear;
   StdString file_name;

   BounceBallVector the_balls;

public:
   BounceManagerInfo();
   ~BounceManagerInfo();
   DECLARE_DYNCREATE(BounceManagerInfo);

   BounceBall protoBall() const 			{ return ball_proto; }

   void setNumBalls(Integer v)				{ num_balls = v; }
   Integer getNumBalls() const				{ return num_balls; }

   void setMaxVelocity(Coord v) 			{ max_velocity = v; }
   Coord getMaxVelocity() const 			{ return max_velocity; }

   void setFileName(ConstText nm)			{ file_name = nm; }
   ConstText getFileName() const			{ return file_name.c_str(); }

   void setup();
   void restart();

   void nextFrame(BounceDrawContext,Integer maxx,Integer maxy);
   void redraw(BounceDrawContext);

   void load();
   void save();

private:
   DECLARE_MESSAGE_MAP()

   void clearDraw();
};



#endif


/* end of bounce_manager.H */



