/********************************************************************************/
/*										*/
/*		bounce_view.H							*/
/*										*/
/*	Bouncing Balls Demo view window header file				*/
/*										*/
/********************************************************************************/


#ifndef BOUNCE_VIEW_ALREADY_INCLUDED
#define BOUNCE_VIEW_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*										*/
/*	BounceViewInfo -- drawing area information				*/
/*										*/
/********************************************************************************/


class BounceViewInfo : public CView {
private:
   BounceManager the_manager;
   BounceDrawContext draw_context;
   Integer x_size;
   Integer y_size;

public:
   BounceViewInfo();
   ~BounceViewInfo();

   DECLARE_DYNCREATE(BounceViewInfo);

   void nextFrame();

private:
   void OnLButtonDown(UINT,CPoint);
   void OnMButtonDown(UINT,CPoint);
   void OnRButtonDown(UINT,CPoint);
   void OnKeyDown(UINT,UINT,UINT);

   void OnDraw(CDC* pDC);
   void OnSize(UINT,int,int);

private:
   void redraw();
   void getSize();

private:
   BounceManagerInfo * GetDocument()		{ return the_manager; }
   DECLARE_MESSAGE_MAP()
};



#endif


/* end of bounce_view.H */


