/********************************************************************************/
/*										*/
/*		bounce_window.H 						*/
/*										*/
/*	Bouncing Balls Demo root window header file				*/
/*										*/
/********************************************************************************/


#ifndef BOUNCE_WINDOW_ALREADY_INCLUDED
#define BOUNCE_WINDOW_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*										*/
/*	BounceWindowInfo -- top level window					*/
/*										*/
/********************************************************************************/


class BounceWindowInfo : public CFrameWnd {

private:
   BounceManager the_manager;
   BounceView draw_control;

   UINT anim_id;

   BounceNumberDialog number_dialog;
   BounceVelocityDialog velocity_dialog;
   BouncePropertyDialog property_dialog;
   BounceAboutDialog about_dialog;
   BounceSaveFileDialog save_dialog;
   BounceLoadFileDialog load_dialog;

public:
   BounceWindowInfo();
   virtual ~BounceWindowInfo();
   DECLARE_DYNCREATE(BounceWindowInfo);

   void setup();

private:
   DECLARE_MESSAGE_MAP();

   afx_msg int OnCreate(LPCREATESTRUCT);
   afx_msg void OnTimer(UINT);

   afx_msg void handleAbout();
   afx_msg void handleOpen();
   afx_msg void handleSave();
   afx_msg void handleSaveAs();
   afx_msg void handleQuit();
   afx_msg void handleGo();
   afx_msg void handlePause();
   afx_msg void handleRestart();
   afx_msg void handleSetNumber();
   afx_msg void handleSetSpeed();
   afx_msg void handleSetProperties();
};




#endif


/* end of bounce_window.H */

