/********************************************************************************/
/*										*/
/*		bounceapp.cpp							*/
/*										*/
/*	Application management methods for bouncing balls demo program		*/
/*										*/
/********************************************************************************/


#include "bounce_local.H"
#include "bounce_app.H"
#include "bounce_window.H"
#include "bounce_manager.H"
#include "bounce_view.H"
#include "bounce_ball.H"




/********************************************************************************/
/*										*/
/*	Local Storage								*/
/*										*/
/********************************************************************************/


static	BounceAppInfo		the_app;



/********************************************************************************/
/*										*/
/*	Message map definitions 						*/
/*										*/
/********************************************************************************/


BEGIN_MESSAGE_MAP(BounceAppInfo, CWinApp)

END_MESSAGE_MAP()




/********************************************************************************/
/*										*/
/*	BounceAppInfo constructors/destructors					*/
/*										*/
/********************************************************************************/



BounceAppInfo::BounceAppInfo()
{ }



BounceAppInfo::~BounceAppInfo()
{ }




/********************************************************************************/
/*										*/
/*	BounceAppInfo setup methods						*/
/*										*/
/********************************************************************************/


BOOL
BounceAppInfo::InitInstance()
{
   // Standard initialization

   Enable3dControls();

   SetDialogBkColor(RGB(255,255,224));
   LoadStdProfileSettings(1);  // Load standard INI file options (including MRU)

   // Register the application's document templates.  Document templates
   //  serve as the connection between documents, frame windows and views.

   CSingleDocTemplate* pDocTemplate;
   pDocTemplate = new CSingleDocTemplate(
      IDR_MAINFRAME,
      RUNTIME_CLASS(BounceManagerInfo),
      RUNTIME_CLASS(BounceWindowInfo),	// main SDI frame window
      RUNTIME_CLASS(BounceViewInfo));
   AddDocTemplate(pDocTemplate);

   // Enable DDE Execute open
   EnableShellOpen();
   RegisterShellFileTypes(TRUE);

   // Parse command line for standard shell commands, DDE, file open
   CCommandLineInfo cmdInfo;
   ParseCommandLine(cmdInfo);

   // Dispatch commands specified on the command line
   if (!ProcessShellCommand(cmdInfo)) return FALSE;

// OnFileNew();

   // The one and only window has been initialized, so show and update it.
   m_pMainWnd->ShowWindow(SW_SHOW);
   m_pMainWnd->UpdateWindow();

   BounceWindow bw = (BounceWindow) m_pMainWnd;

   bw->setup();

   return TRUE;
}



/* end of bounceapp.cpp */
